Bug 815636 - Filtering prompts save when nothing has changed
Filtering prompts save when nothing has changed
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
low Severity low
: ---
: 1.6-beta-1
Assigned To: Patrick Huang
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 02:42 EDT by David Mason
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-04-24 02:42:00 EDT
Description of problem:
When changing the filtering options for the editor table when no changes have been made to the selected text flow, a dialog prompting to save translations is shown.

Version-Release number of selected component (if applicable):
1.6-alpha-1

How reproducible:
Always

Steps to Reproduce:
1.Sign in and open the translation editor
2.Load a document
3.Select a text flow so the editor is open but do not make any changes
4.Check any of the "Message filters" checkboxes
  
Actual results:
Dialog is shown prompting to save, discard changes or cancel filter

Expected results:
Dialog is not shown if nothing has changed

Additional info:
If the "Save" option is selected, no save notification is shown, so the save is not happening anyway.
Comment 1 Patrick Huang 2012-04-30 19:03:59 EDT
Committed to master:
https://github.com/zanata/zanata/commit/3a0322249e00bde7eebec89d602031771d356474
Comment 2 Joyce Chang 2012-05-04 02:22:05 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120504-1030).

Note You need to log in before you can comment on or make changes to this bug.